Time stamps in track log wrong

Bug #395027 reported by Markus Peuhkuri
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
tangogps
Undecided
Unassigned

Bug Description

Seems that tangogps makes some timezone related error in storing track data.

I am currently at timezone +0300 (summertime) and a track that I started localtime 14:05:22 (20090628_140522.log) has the first timestamp 2009-06-28T08:06:00Z that is 3 hours early (should be 11:06:00).

I verified that gpsd reported correct timestamps and also verified track with other gps unit just to make sure that my memory did serve me right.

$ dpkg -l tangogps gpsd
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Cfg-files/Unpacked/Failed-cfg/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Hold/Reinst-required/X=both-problems (Status,Err: uppercase=bad)
||/ Nimi Versio Kuvaus
+++-==============-==============-============================================
ii gpsd 2.38-1ubuntu3 GPS (Global Positioning System) daemon
ii tangogps 0.9.3-2 GTK+ mapping and GPS application

Revision history for this message
Charles Curley (charlescurley) wrote :

I can confirm this.

tangogps-0.9.3-2--i386

ccurley@dragon:~/Maps$ cat 20090730_203638.log
43.644043,-108.214592,1347.0,0.0,219.0,4.4,2009-07-31T08:36:36Z
43.644048,-108.214592,1347.0,0.1,-316.3,4.4,2009-07-31T08:36:37Z
43.644052,-108.214592,1347.1,0.1,-323.2,4.4,2009-07-31T08:36:39Z
43.644050,-108.214595,1347.3,0.1,-326.6,4.4,2009-07-31T08:36:40Z
43.644052,-108.214597,1347.4,0.3,5.5,4.4,2009-07-31T08:36:41Z
43.644058,-108.214597,1347.5,0.7,18.6,4.4,2009-07-31T08:36:42Z
ccurley@dragon:~/Maps$ ll 20090730_203638.log
-rw-r--r-- 1 ccurley ccurley 384 2009-07-30 20:36 20090730_203638.log
ccurley@dragon:~/Maps$ date
Thu Jul 30 20:41:05 MDT 2009
ccurley@dragon:~/Maps$ date -u
Fri Jul 31 02:41:48 UTC 2009
ccurley@dragon:~/Maps$

If Tangogps is trying to log UTC (which would be preferable to local time), it's failing at that. Note that the times in the file are well after the time I examined it, even correcting for UTC.

xgps (a gpsd client, package gpsd-clients-2.38-1ubuntu3--i386) reports the time correctly.

Revision history for this message
Charles Curley (charlescurley) wrote :

The current version of tangogps is 0.9.6. It appears to track UTC:

ccurley@dragon:~/Maps$ cat 20090730_211427.log
43.644122,-108.214577,1320.0,1.1,326.2,1.2,2009-07-31T03:14:26Z
ccurley@dragon:~/Maps$ date -u ; date
Fri Jul 31 03:15:43 UTC 2009
Thu Jul 30 21:15:43 MDT 2009
ccurley@dragon:~/Maps$

Upgrade, anyone?

Revision history for this message
marcusbauer (marcus-bauer) wrote :

Yes, it logs in UTC, ISO 8601. This way tools like gpsbabel can correctly process the logfiles.

Suggesting to close this bug.

Revision history for this message
Charles Curley (charlescurley) wrote :

Looks good to me. Feel free to close.

ccurley@dragon:~/Maps$ cat 20091123_103056.log
43.644300,-108.214663,1323.3,0.0,77.7,1.2,2009-11-23T17:30:57Z
43.644300,-108.214663,1324.6,0.0,77.7,1.2,2009-11-23T17:30:57Z
43.644300,-108.214660,1325.5,0.2,278.7,1.2,2009-11-23T17:30:58Z
43.644305,-108.214672,1325.5,0.2,257.1,1.2,2009-11-23T17:31:00Z
43.644305,-108.214672,1325.8,0.2,257.1,1.2,2009-11-23T17:31:00Z
ccurley@dragon:~/Maps$ date -u
Mon Nov 23 17:31:20 UTC 2009
ccurley@dragon:~/Maps$

Revision history for this message
marcusbauer (marcus-bauer) wrote :

closed this bug. feel free to reopen in case it does not in GMT for you.

Changed in tangogps:
status: New → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers